import { AfterViewInit, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ToolbarItem, ToolbarItemType } from '../../models/button';
import { CommandService } from '../../services/command.service';
import { EditorConfig } from '../../models/config';
import * as i0 from "@angular/core";
export declare class EditorComponent implements AfterViewInit, ControlValueAccessor {
    private readonly commandService;
    set config(val: EditorConfig);
    get config(): EditorConfig;
    _config: EditorConfig;
    contentEditable: ElementRef;
    content: string;
    toolbarItemType: typeof ToolbarItemType;
    isDisabled: boolean;
    onChangeFn: (val: string) => void;
    onTouchedFn: () => void;
    queryCommandState: {
        [key: string]: string | number | boolean;
    };
    constructor(commandService: CommandService);
    ngAfterViewInit(): void;
    writeValue(val: string): void;
    registerOnChange(fn: (val: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState?(isDisabled: boolean): void;
    domModify(): void;
    execCommand(command: string, value?: string): void;
    fetchQueryCommandState(): void;
    trackBy(_: any, item: ToolbarItem): ToolbarItemType;
    private updateContentEditable;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "st-editor", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, false, never>;
}
